# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`ssp`](#ssp): Setup LDAP Account Manager (SSP)
* [`ssp::config`](#ssp--config): Configuration of Self Service Password

#### Private Classes

* `ssp::install`: Download and extract the distribution archive

## Classes

### <a name="ssp"></a>`ssp`

Setup LDAP Account Manager (SSP)

#### Parameters

The following parameters are available in the `ssp` class:

* [`config`](#-ssp--config)
* [`config_file`](#-ssp--config_file)
* [`config_manage`](#-ssp--config_manage)
* [`config_mode`](#-ssp--config_mode)
* [`config_template`](#-ssp--config_template)
* [`edition`](#-ssp--edition)
* [`group`](#-ssp--group)
* [`installroot`](#-ssp--installroot)
* [`manage_smarty`](#-ssp--manage_smarty)
* [`manage_symlink`](#-ssp--manage_symlink)
* [`mirror`](#-ssp--mirror)
* [`smarty_path`](#-ssp--smarty_path)
* [`smarty_package_name`](#-ssp--smarty_package_name)
* [`symlink_name`](#-ssp--symlink_name)
* [`user`](#-ssp--user)
* [`version`](#-ssp--version)

##### <a name="-ssp--config"></a>`config`

Data type: `Hash`

This config Hash will be used in config.inc.local.epp

##### <a name="-ssp--config_file"></a>`config_file`

Data type: `String`

The path of the duplicate of the common ssp config file
Specifies lookup for the installroot and ersion

##### <a name="-ssp--config_manage"></a>`config_manage`

Data type: `Boolean`

You can enable/disable this funcion if you want to

##### <a name="-ssp--config_mode"></a>`config_mode`

Data type: `String`

Folder permission

##### <a name="-ssp--config_template"></a>`config_template`

Data type: `String`

The location of the local config.inc.local.epp file

##### <a name="-ssp--edition"></a>`edition`

Data type: `Enum['oss', 'pro']`

The edition of SSP that should be installed.

##### <a name="-ssp--group"></a>`group`

Data type: `String`

The name of the group that is used by the webserver process.

##### <a name="-ssp--installroot"></a>`installroot`

Data type: `Stdlib::Compat::Absolute_path`

Specifies the base directory where SSP should be installed. A new
subdirectory for each version will be created.

##### <a name="-ssp--manage_smarty"></a>`manage_smarty`

Data type: `Boolean`

You can enable/disable this funcion, if you already have php-smarty on your system

##### <a name="-ssp--manage_symlink"></a>`manage_symlink`

Data type: `Boolean`

You can enable/disable this symlink funcion if you want to

##### <a name="-ssp--mirror"></a>`mirror`

Data type: `Variant[Stdlib::HTTPUrl,Stdlib::HTTPSUrl]`

Specifies the base URL where the distribution archive can be downloaded.
Useful when providing a local mirror for the Pro edition.

##### <a name="-ssp--smarty_path"></a>`smarty_path`

Data type: `Optional[String]`

Optional, if the smarty have to be in an other path than default.

Default value: `undef`

##### <a name="-ssp--smarty_package_name"></a>`smarty_package_name`

Data type: `String`

Package Name for local OS installation. Can ben changed in hiera OS Type.

##### <a name="-ssp--symlink_name"></a>`symlink_name`

Data type: `String`

Create a symlink that points to the current version.

##### <a name="-ssp--user"></a>`user`

Data type: `String`

The name of the user that is used by the webserver process.

##### <a name="-ssp--version"></a>`version`

Data type: `String`

Specifies the version of SSP that should be installed.

### <a name="ssp--config"></a>`ssp::config`

Configuration of Self Service Password

